summaryrefslogtreecommitdiffstats
path: root/ctdb/tests/run_tests.sh
diff options
context:
space:
mode:
authorMartin Schwenke <martin@meltin.net>2009-01-12 15:47:12 +1100
committerMartin Schwenke <martin@meltin.net>2009-01-12 15:47:12 +1100
commit38593aa3e10ecc514b146704050808635f1382c6 (patch)
treea4c6b3cd683182eee0bb4f70d7432ae9883c31f0 /ctdb/tests/run_tests.sh
parent2e87ed4e9d3921b47f6c6f96374733058658d198 (diff)
downloadsamba-38593aa3e10ecc514b146704050808635f1382c6.tar.gz
samba-38593aa3e10ecc514b146704050808635f1382c6.tar.xz
samba-38593aa3e10ecc514b146704050808635f1382c6.zip
For now, make tests/run_tests.sh runs the new test suite. Add
tests/TODO. Remove tests/start_daemons.sh - no longer used. Signed-off-by: Martin Schwenke <martin@meltin.net> (This used to be ctdb commit 5cdbef46b74e6a5ba2383ef025e69fe605fa4f6e)
Diffstat (limited to 'ctdb/tests/run_tests.sh')
-rwxr-xr-xctdb/tests/run_tests.sh6
1 files changed, 1 insertions, 5 deletions
diff --git a/ctdb/tests/run_tests.sh b/ctdb/tests/run_tests.sh
index 3e1caf43a2..210074ccbb 100755
--- a/ctdb/tests/run_tests.sh
+++ b/ctdb/tests/run_tests.sh
@@ -1,10 +1,6 @@
#!/bin/sh
-trap 'echo "Killing test"; killall -9 -q ctdbd; exit 1' INT TERM
-
-tests/fetch.sh 4 || exit 1
-tests/bench.sh 4 || exit 1
-tests/ctdbd.sh || exit 1
+tests/scripts/run_tests -s tests/simple/*.sh || exit 1
echo "All OK"
exit 0